=== modified file 'client/drizzledump.cc'
--- client/drizzledump.cc	2009-03-05 08:26:07 +0000
+++ client/drizzledump.cc	2009-03-10 07:23:05 +0000
@@ -2468,7 +2468,7 @@
   }
   if (flush_logs)
   {
-    if (drizzleclient_refresh(drizzle, REFRESH_LOG))
+    if (drizzleclient_real_query(drizzle, "FLUSH LOGS", strlen("FLUSH LOGS")))
       DB_error(drizzle, _("when doing refresh"));
            /* We shall continue here, if --force was given */
   }
@@ -2597,7 +2597,7 @@
   }
   if (flush_logs)
   {
-    if (drizzleclient_refresh(drizzle, REFRESH_LOG))
+    if (drizzleclient_real_query(drizzle, "FLUSH LOGS", strlen("FLUSH LOGS")))
     {
       if (!ignore_errors)
         free_root(&root, MYF(0));
@@ -3156,14 +3156,14 @@
       goto err;
   if (opt_delete_master_logs)
   {
-    if (drizzleclient_refresh(drizzle, REFRESH_LOG) ||
+    if (drizzleclient_real_query(drizzle, "FLUSH LOGS", strlen("FLUSH LOGS")) ||
         get_bin_log_name(drizzle, bin_log_name, sizeof(bin_log_name)))
       goto err;
     flush_logs= 0;
   }
   if (opt_lock_all_tables || opt_master_data)
   {
-    if (flush_logs && drizzleclient_refresh(drizzle, REFRESH_LOG))
+    if (drizzleclient_real_query(drizzle, "FLUSH LOGS", strlen("FLUSH LOGS")))
       goto err;
     flush_logs= 0; /* not anymore; that would not be sensible */
   }

=== modified file 'drizzled/common.h'
--- drizzled/common.h	2009-03-10 06:49:18 +0000
+++ drizzled/common.h	2009-03-10 07:23:05 +0000
@@ -148,12 +148,14 @@
 
 enum enum_server_command
 {
-  COM_SLEEP, COM_QUIT, COM_INIT_DB, COM_QUERY,
-  COM_CREATE_DB, COM_DROP_DB, COM_REFRESH, COM_SHUTDOWN,
-  COM_CONNECT, COM_PING,
-  COM_CONNECT_OUT,
+  COM_SLEEP,
+  COM_QUIT,
+  COM_INIT_DB,
+  COM_QUERY,
+  COM_SHUTDOWN,
+  COM_CONNECT,
+  COM_PING,
   /* don't forget to update const char *command_name[] in sql_parse.cc */
-
   /* Must be last */
   COM_END
 };
@@ -198,10 +200,8 @@
 #define FIELD_STORAGE_FLAGS 22          /* Storage type: bit 22, 23 and 24 */
 #define COLUMN_FORMAT_FLAGS 25          /* Column format: bit 25, 26 and 27 */
 
-#define REFRESH_GRANT		1	/* Refresh grant tables */
 #define REFRESH_LOG		2	/* Start on new log file */
 #define REFRESH_TABLES		4	/* close all tables */
-#define REFRESH_HOSTS		8	/* Flush host cache */
 #define REFRESH_STATUS		16	/* Flush status variables */
 
 /* The following can't be set with mysql_refresh() */

=== modified file 'drizzled/sql_parse.cc'
--- drizzled/sql_parse.cc	2009-03-10 06:49:18 +0000
+++ drizzled/sql_parse.cc	2009-03-10 07:23:05 +0000
@@ -55,13 +55,9 @@
   { C_STRING_WITH_LEN("Quit") },
   { C_STRING_WITH_LEN("Init DB") },
   { C_STRING_WITH_LEN("Query") },
-  { C_STRING_WITH_LEN("Create DB") },
-  { C_STRING_WITH_LEN("Drop DB") },
-  { C_STRING_WITH_LEN("Refresh") },
   { C_STRING_WITH_LEN("Shutdown") },
   { C_STRING_WITH_LEN("Connect") },
   { C_STRING_WITH_LEN("Ping") },
-  { C_STRING_WITH_LEN("Connect Out") },
   { C_STRING_WITH_LEN("Error") }  // Last command number
 };
 

=== modified file 'drizzled/sql_yacc.yy'
--- drizzled/sql_yacc.yy	2009-03-08 03:40:07 +0000
+++ drizzled/sql_yacc.yy	2009-03-10 07:23:05 +0000
@@ -5092,8 +5092,6 @@
           opt_table_list {}
         | TABLES WITH READ_SYM LOCK_SYM
           { Lex->type|= REFRESH_TABLES | REFRESH_READ_LOCK; }
-        | HOSTS_SYM
-          { Lex->type|= REFRESH_HOSTS; }
         | LOGS_SYM
           { Lex->type|= REFRESH_LOG; }
         | STATUS_SYM

=== modified file 'libdrizzleclient/libdrizzle.c'
--- libdrizzleclient/libdrizzle.c	2009-03-10 06:49:18 +0000
+++ libdrizzleclient/libdrizzle.c	2009-03-10 07:23:05 +0000
@@ -214,15 +214,6 @@
 }
 
 
-int
-drizzleclient_refresh(DRIZZLE *drizzle, uint32_t options)
-{
-  unsigned char bits[1];
-  bits[0]= (unsigned char) options;
-  return(simple_command(drizzle, COM_REFRESH, bits, 1, 0));
-}
-
-
 const char *drizzleclient_cli_read_statistics(DRIZZLE *drizzle)
 {
   drizzle->net.read_pos[drizzle->packet_length]=0;  /* End of stat string */

=== modified file 'plugin/signal_handler/signal_handler.cc'
--- plugin/signal_handler/signal_handler.cc	2009-03-05 21:38:07 +0000
+++ plugin/signal_handler/signal_handler.cc	2009-03-10 07:23:05 +0000
@@ -182,9 +182,7 @@
       if (!abort_loop)
       {
         bool not_used;
-        reload_cache((Session*) 0,
-                     (REFRESH_LOG | REFRESH_TABLES | REFRESH_FAST |
-                      REFRESH_HOSTS),
+        reload_cache((Session*) 0, (REFRESH_LOG | REFRESH_TABLES | REFRESH_FAST ),
                      (TableList*) 0, &not_used); // Flush logs
       }
       break;

